//chrome.runtime.sendMessage({clicked : true});
jQuery(function($) {

    $.each(config.shippingOptions, function(i,o) {
        $('#shipping-option')
            .append($("<option></option>")
                .attr("value",o.v)
                .text(o.t));
    });

    $.each(config.shippingCountries, function(i,o) {
        $('#shipping-country')
            .append($("<option></option>")
                .attr("value",o.v)
                .text(o.t));
    });

    $.each(config.shippingCurrencies, function(i,o) {
        $('#shipping-currency')
            .append($("<option></option>")
                .attr("value",o)
                .text(o));
    });

    config.get_ext_options(function(data) {
        ext_options = data;
        if (!ext_options.showShipping) {
            $(".ebay2woo-panel-setting-content").not(":first-child").hide();
            $(".ebay2woo-panel-setting-details").hide();
            $('html').height($("ebay2woo-panel").height());
        }

        $( '#show-shipping' ).prop('checked', ext_options.showShipping);
        $( '#shipping-option' ).val(ext_options.shippingOption);
        $( '#shipping-country' ).val(ext_options.shippingCountry);
        $( '#shipping-currency' ).val(ext_options.shippingCurrency);
        $( '#show-only-active' ).prop('checked', ext_options.showOnlyActive);
        $( '#show-processing' ).prop('checked', ext_options.showProcessing);
        $( '#show-delivery' ).prop('checked', ext_options.showDelivery);
    });

    $('#show-shipping').click(function(){
        if( $(this).is(':checked') ){
            $(".ebay2woo-panel-setting-content").not(":first-child").show();
            $(".ebay2woo-panel-setting-details").show();
        } else {
            $(".ebay2woo-panel-setting-content").not(":first-child").hide();
            $(".ebay2woo-panel-setting-details").hide();
            $('html').height($("ebay2woo-panel").height());
        }
    });

    $('.ebay2woo-btn-primary').click(function(){

        chrome.storage.sync.set({
            showShipping: $( '#show-shipping' ).prop('checked'),
            shippingOption: $( '#shipping-option' ).val(),
            shippingCountry: $( '#shipping-country' ).val(),
            shippingCurrency: $( '#shipping-currency' ).val(),
            showOnlyActive: $( '#show-only-active' ).prop('checked'),
            showProcessing: $( '#show-processing' ).prop('checked'),
            showDelivery : $( '#show-delivery' ).prop('checked')

        }, function() {
            chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
                chrome.tabs.update(tabs[0].id, {url: tabs[0].url});
                window.close();
            });
        })

    });
});