var o = {
    setInput: function(n, t) {
        var i = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : 0;

        if (!$(n).length){
            console.log(n + " field not found");
            return;
        }

        var r = $(n)[i];

        r.value = t, r.defaultValue = t;
        var o = r.value;
        r.value = t, event = new Event("input", {
            bubbles: !0
        }), event.simulated = !0;
        var c = r._valueTracker;
        c && c.setValue(o), r.dispatchEvent(event)
    },
    clickBtn: function(e){
        return MAPromises.clickBtn(e)
    },
    isEl : function(e){
        return $(e).length > 0 ? !0 : !1
    }
};

function init() {

	chrome.storage.sync.get({
        orderId: 0,
        orderNumber: "",
		shopName: "",
		orderData: !1,
		defaultShipping: "",
		note: "",
        formFilled: 0,
		countrySet: 0,
		createdAt: 0
	}, function(e) {

        if (e.orderData == !1) return;

        if (Date.now() - e.createdAt > 720 * 1000) { //12 min
            chrome.runtime.sendMessage({
                action: config.actions.E_CONTENT_CLEAR_ORDER_DATA
            });

            return;
        }

		//if (e.orderData !== !1){

		var t = trimOrderData(e.orderData);

		if (!validateProducts(t.products)){
            return;
        }

        var p = MAPromises;

        if (0 == e.countrySet){

            function w_adr() {
                return new Promise(function(e, n) {
                    var t = $("#address-main")
                            .find(".sa-form"),
                        i = setInterval(function() {
                            if ($(t).is(":visible")) return clearInterval(i), e(!0);

                            if ($(".sa-edit").length){
                                document.querySelector(".sa-edit").click();
                            } else {
                                if ($(".sa-order-add-a-new-address").length){
                                    document.querySelector(".sa-order-add-a-new-address").click();
                                }
                            }

                        }, 100);

                    setTimeout(function() {
                        clearInterval(i), n("address form not opened")
                    }, 3e4)
                })
            }

            w_adr().then(function(){
                MAStatusBar.add("Editing customer shipping details...");
                editAddress(t);
            });
        } else {
            if ( 0 == e.formFilled){
                chrome.storage.sync.set({ formFilled: 1},
                    function() {

                        MAStatusBar.add("Selecting shipping method...");
                        selectShipping(e.defaultShipping);

                })
            } else {
                MAStatusBar.add("Filling order notes...");

                var k = setInterval(function() {
                        $(".pay-method-list").length && (clearInterval(k), t(e))
                    }, 500);

                function t (e){
                    var ii = 0;
                    $('[name*="messageToSupplier-item-"]').each(function(){
                        (0, o.setInput)('[name*="messageToSupplier-item-"]', e.note, ii);
                        ii++;
                    });

                    MAOrder.sendStatus({'stage': 55},function(){
                        MAFunc.goToPluginTab();
                    });

                    setTimeout(function() { MAStatusBar.remove() }, 400);
                }

            }
        }
	});
}

function validateProducts(e) {
	if ("undefined" == typeof e || e.length < 1) return !1;
	for (var t = 0; t < e.length; t++) {
		var n = e[t],
			i = $('tr[productid="' + n.productId + '"');
		if (!i.length) return !1
	}
	return !0
}


function trimOrderData(e) {
	return e = JSON.parse(e), e.city = jQuery("<div/>").html(e.city).text(), e.contactName = jQuery("<div/>").html(e.contactName).text(), e.address1 = jQuery("<div/>").html(e.address1).text(), e.address2 = jQuery("<div/>").html(e.address2).text(), e
}

function validateShippingDetails(e) {
	var t = [];
	jQuery('[name="contactPerson"]').val() != e.contactName && t.push("Contact name"), jQuery('[name="country"]').val() != e.countryRegion && t.push("Country"), jQuery('[name="address"]').val() != e.address1 && t.push("Address 1"), jQuery('[name="address2"]').val() != e.address2 && t.push("Address 1"), jQuery('[name="city"]').val() != e.city && t.push("City");
	var n = jQuery('[name="province"]'),
		i = n.parent().find("select");
	return i.is(":visible") ? i.val() != e.region && t.push("State/Province/Region") : n.val() != e.region && t.push("State/Province/Region"), jQuery('[name="mobileNo"]').val() != e.mobile && t.push("Mobile number"),

    !(t.length > 0) || (jQuery("div.order-warn-tips").append('oook'/*renderAddressValidationFail(t)*/), !1)
}

function editAddress(n) {

    function t(e) {
        return e ? e[0].toUpperCase() + e.slice(1) : e
    }

    function i(n, t) {
        $(n).find("option")
            .each(function(i, o) {
                if ($(o).attr("value")
                    .toUpperCase() === t.toUpperCase()) return $(n)
                    .val($(o)
                    .attr("value"))
            })
    }

    function c(n) {
        return $(n)
            .parent()
            .find(".sa-success-icon")
            .is(":visible") || $(n)
            .parent()
            .find(".sa-error-tips")
            .is(":visible")
    }

    function a(e) {
        var n = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : 1e4,
            t = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : 100;
        return new Promise(function(r, i) {
            var o = setInterval(function() {
                if (e()) return clearInterval(o), r(!0)
            }, t);
            setTimeout(function() {
                clearInterval(o), i("Timeout")
            }, n)
        })
    }

    function u(n) {
        return n = n || "OTHER", new Promise(function(e, n) {
                setTimeout(function() {
                    return e()
                }, 1500)
            })
            .then(function() {
                var t = new Event("change");
                return (0, o.setInput)('[name="country"]', n), $('[name="country"]')
                    .parent()
                    .remove(".sa-success-icon"), $(".sa-province-wrapper select")
                    .hide(), $(".sa-province-wrapper input")
                    .hide(), document.getElementsByName("country")[0].dispatchEvent(t), a(function() {
                        return c('[name="country"]')
                    })
            })
    }

    function s(n,cc) {
        return n = n || "Other", new Promise(function(e, n) {
                setTimeout(function() {
                    return e()
                }, 1500)
            })
            .then(function() {

                if (cc == "DE"){
                    return (0, o.setInput)('[name="province"]', '---');
                }

                var u = new Event("change"),
                    s = document.getElementsByClassName("sa-province-wrapper")[0],
                    l = $(".sa-province-wrapper")
                    .find("select");
                return $(l)
                    .is(":visible") ? (i(l, n), $(".sa-province-wrapper select")
                        .parent()
                        .remove(".sa-success-icon"), s.getElementsByTagName("select")[0].dispatchEvent(u), a(function() {
                            return c(".sa-province-wrapper select")
                        })) : ((0, o.setInput)('[name="province"]', t(n)), $('.sa-province-wrapper [name="province"]')
                        .parent()
                        .remove(".sa-success-icon"), s.getElementsByTagName("input")[0].dispatchEvent(u), a(function() {
                            return c('.sa-province-wrapper [name="province"]')
                        }))
            })
    }

    function l(n) {
        return n = n || "Other", new Promise(function(e, n) {
                setTimeout(function() {
                    return e()
                }, 1500)
            })
            .then(function() {
                var u = new Event("change"),
                    s = document.getElementsByClassName("sa-city-wrapper")[0],
                    l = $('[name="city"]')
                    .parent()
                    .find("select");
                return $('[name="city"]')
                    .parent()
                    .remove(".sa-success-icon"), $(l)
                    .is(":visible") ? (i(l, n), s.getElementsByTagName("select")[0].dispatchEvent(u), a(function() {
                        return c(".sa-city-wrapper select")
                    })) : ((0, o.setInput)('[name="city"]', t(n)), s.getElementsByTagName("input")[0].dispatchEvent(new Event("blur")), a(function() {
                        return c('.sa-city-wrapper [name="city"]')
                    }))
            })
    }

    function f(e) {
        return new Promise(function(e, n) {
                setTimeout(function() {
                    return e()
                }, 1500)
        })

       .then(function() {
          if ((0, o.setInput)('[name="contactPerson"]', e.contactName), (0, o.setInput)('[name="address"]', e.address1), (0, o.setInput)('[name="address2"]', e.address2), typeof e.zip == "undefined" || "" == e.zip || "none" == e.zip.toLowerCase()) {
                var i = $(".sa-no-zip-code")
                    .find("input");
                0 == i.prop("checked") && i.click()
            } else {
                $(".sa-no-zip-code")
                    .find("input")
                    .prop("checked", !1);
                var c = e.zip;
                "PL" === e.countryRegion && (c = c.replace("-", "")), (0, o.setInput)('[name="zip"]', c)
            }
            return (0, o.setInput)('[name="mobileNo"]', e.mobile);
        })
    }

    function d() {
        return new Promise(function(e, n) {
            return (0, o.clickBtn)(".sa-confirm")
                .then(function(n) {
                    e(!0)

                })
        })
    }

    return function() {
        return f(n)
    }()
    .then(function() {
        return u(n.countryRegion)
    })
    .then(function() {
        return s(n.region, n.countryRegion)
    })
    .then(function() {
        return l(n.city)
    })
    .then(function() {
        return n.mobile_code && (0, o.setInput)('[name="phoneCountry"]', n.mobile_code), d()
    })
    .catch(function() {
        MAStatusBar.remove();
        MAStatusBar.add("Please type address manually");
    })
    .then(function() {
        v = setInterval(function() {
            var t = $(".sa-success-icon:visible")
                .length;
            if (t && !(0, o.isEl)(".sa-error-field") && $("#address-main input")
                .each(function() {
                    $(this)
                        .focus(), $(this)
                        .keypress(), $(this)
                        .change(), $(this)
                        .blur()
                }), t >= 7 && !(0, o.isEl)(".sa-error-field")) return clearInterval(v), void chrome.storage.sync.set({ countrySet: 1}, function(){});

                (0, o.isEl)(".sa-error-field") &&  MAStatusBar.remove(),
                MAStatusBar.add('Some issues occur! Please type the address manually.');

        }, 100)
    })

}

function capitalizeFirstLetter(s){
    return s.charAt(0).toUpperCase() + s.slice(1);
}


function selectShipping(e) {
	if ("" != e) {
        setTimeout(function() {
		    if ("ePacket" == e) {
			    var t = 0,
				    n = [];
			    jQuery("label.shipping-label").each(function() {
				    var e = jQuery(this).text(),
					    i = e.match(/ePacket/g);
				    if (null != i) {
					    var r = jQuery(this).find('input[type="radio"]:not(:checked)');
					    r.length > 0 && (n[t] = r, t++)
				    }
			    }), jQuery("div.shipping-displayname").each(function() {
				    var e = jQuery(this).text(),
					    i = e.match(/ePacket/g);
				    if (null != i) {
					    var r = jQuery(this).parent().parent().find('input[type="radio"]:not(:checked)');
					    r.length > 0 && (n[t] = r, t++)
				    }
			    })
		    } else var n = jQuery('input[value="' + e + '"]:not(:checked)');

            setTimeout(function() {
		        if (n.length > 0) {
			        var i = jQuery(n[0]),
				        r = i.closest("div.pnl-shipping").find("input.btn-ok");
			        i.prop("checked", !0), r.click()
		        } else MAStatusBar.remove(), chrome.storage.sync.set({
			        defaultShipping: ""
		        })
            }, 400);

        }, 720);

	}
}


function waitForAddressList() {
	jQuery("#address-main").hasClass("loaded") ? init() : setTimeout(function() {
		waitForAddressList()
	}, 200)
}



function checkOrderID(){
    var val = document.URL;
    var param = "orderIds";
    if (val.indexOf(param) > -1) {

        var url = new URL(val);
        var n = url.searchParams.get("orderIds");

        n = n.split(',');

        return n;
    }

    return -1;
}
jQuery(function ($) {
    document.body.classList.add("ma"), document.body.classList.add("ma-checkout"),
    $("body").append(MAMessages.statusBar());

    init();

    function ff(d) {

        function cof() {

            var url = document.URL;

            if (url.includes('createOrderFailed.htm')) {

                if (d.awaitingpay) {
                //    window.location.href = config.urls.aliexpressPayAllLink + '?a2w=1';
                    window.location.href = config.urls.ebayPayAllLink + '?e2w=1';
                    return false;
                }

                MAOrder.sendStatus({'stage': 41}, function () {
                    MAFunc.goToPluginTab();
                });
                MAOrder.clear();

                return true;
            }

            return false;
        }

        setTimeout(function () {

            if (!cof()) {

                var i = checkOrderID();
                if (i !== -1) {
                    MAOrder.updateOrder({id: i}, function (p) {
                        MAOrder.sendStatus({'stage': 5}, function () {
                            MAFunc.goToPluginTab();
                        });
                        MAOrder.clear();
                    });
                }
            }

        }, 600)
    }

    chrome.storage.sync.get({
        orderData: !1,
        awaitingpay : !0
    }, function(t) {
        if (t.orderData !== !1) {
            ff(t);
        }
    });

});