jQuery(function ($) {

    var oo = {
        setInput: function(n, t) {
            var i = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : 0;

            if (!$(n).length) {
                console.log(n + " field not found");
                return;
            }

            var r = $(n)[i];

            r.value = t, r.defaultValue = t;
            var o = r.value;
            r.value = t, event = new Event("input", {
                bubbles: !0
            }), event.simulated = !0;
            var c = r._valueTracker;
            c && c.setValue(o), r.dispatchEvent(event)
        },
        clickBtn: function(e){
            return MAPromises.clickBtn(e)
        },
        isEl : function(e){
           return $(e).length > 0 ? !0 : !1
        }
    };

    var main = {
        productData : false,
        preInit : function(){

            var t = $("body");
            t.append(MAMessages.statusBar());
            main.initPage();

        },//+
        checkPageHeaders : function(){
            return new Promise(function (j, f) {

                chrome.storage.sync.get({ respStatus: 200},function(s) {
                    if (s.respStatus == 404) {
                        return f();
                    } else {
                        return j();
                    }
                });
            });
        },//+
        initPage : function(){

            document.body.classList.add("ma"), document.body.classList.add("ma-product");

            chrome.storage.sync.get({
                orderData: !1,
                currentProduct: 0,
                cartEmpty : !1,
            }, function(t) {

                if (t.orderData !== !1) {
                    o = JSON.parse(t.orderData);
                    e1 = t.currentProduct;
                    if (o.products) {
                        n = o.products[e1];
                    }
                    r = $(location).attr("href");
                }

                if (t.orderData !== !1 && typeof n !== "undefined" && r.indexOf(n.productId) > -1 ){

                    main.checkPageHeaders()
                        .then(function() {

                            if (t.cartEmpty !== !0 )
                                chrome.extension.sendMessage({
                                    action: config.actions.E_CONTENT_ORDER_FULFILLMENT_TO_CART,
                                    main_hostname: window.location.hostname
                                });
                            else {
                                main.v2AddToCart(t);
                                //main.initSync(t);
                            }

                        }).catch(function(ex){

                            MAOrder.sendStatus({'stage': 21}, function () {
    //                            MAFunc.goToPluginTab();
                            });

                            MAStatusBar.remove();
                            MAStatusBar.add("Can't add this product to the cart, try do that manually...");
                        });

                } else {
                    /*
                    main.productData = main.getProductData();
                    var k = main.productData;

                    chrome.runtime.onMessage.addListener(function (t) {
                        if (t.name == config.actions.E_CONTENT_CHECK_PRODUCTS_IMPORTED) {

                            if (t.status == "OK"){
                                var e = t.products;
                                for (var i in e) {
                                    if (e[i].imported) {
                                        MAHtml.appendHtml(document, document.body, MAMessages.productImportedIcon());
                                    } else {
                                        MAHtml.appendHtml(document, document.body, MAMessages.productPushButton());
                                        $(document.body).on("click", "#ma-push-button", function (t) {
                                            t.preventDefault();

                                            var params = {'id':k.id};
                                            var reqId = Math.random().toString();
                                            var data = {params, "reqId":reqId};

                                            MAProduct.requestProductInfo(data.params, data.reqId, function(e) {

                                                var responseData = {"status":e.status, "data":e.data, "error_msg": e.error_msg, "reqId":e.reqId};

                                                MAProduct.pushProduct(k.url, k.id, k.thumb, k.price_min, k.price_max, k.title, k.currency, responseData.data).catch(function () {
                                                });

                                            });

                                        })
                                    }
                                }
                            } else {
                                messagePanel.render({
                                    iconClose : chrome.extension.getURL(config.assets.iconClose),
                                    svgLogo : chrome.extension.getURL(config.assets.svgLogo),
                                    state: MAProduct.getCheckImportedStateData(t)
                                });
                            }

                        }
                    });

                    chrome.runtime.sendMessage({
                        action: config.actions.E_CONTENT_CHECK_PRODUCTS_IMPORTED,
                        ids: [k.id]
                    });
                    */
                }

            });
        },//+
        getProductData : function(){
            var data = {id : false, url : false, thumb : false, price_min : false, price_max : false, title : false, currency : false};

            var formatPrice = function(e){
                return e.replace(/[^0-9.,]\.*/g, '').replace(',','.');
            }

            data.url = window.location.href;

            var tmp = data.url.match(/.+\/([А-Яа-яA-Za-z0-9-]+)\/([0-9]+)/mi);


            if (tmp.length === 3) {
                data.id = tmp[2];
            }

            var el_tmp,
                i;

            el_tmp = document.querySelector('.mainPrice span[itemprop="priceCurrency"]');
            if (el_tmp) {
                i = el_tmp.getAttribute('content');
            }
            data.currency = (i && i.innerText !== '') ? i.innerText : false;

            el_tmp = document.querySelector('#itemTitle');
            if (el_tmp) {
                el_tmp = el_tmp.cloneNode(true);
                el_tmp.querySelector('span').remove();
            }
            data.title = (el_tmp && el_tmp.innerText !== '') ? el_tmp.innerText : false;

            el_tmp = document.querySelector('#vi_main_img_fs .tdThumb img');
            data.thumb = (el_tmp && el_tmp.src !== '') ? el_tmp.src : false;

            el_tmp = document.querySelector('#prcIsum');
            if (el_tmp) {
                data.price_min = formatPrice(el_tmp.getAttribute('content'));
            }

            return data;
        },//+
        v2AddToCart : function(e1){

            function models(doc) {
                var t = !0,
                    r = !1,
                    n = void 0;
                try {
                    for (var o, i = doc.querySelectorAll("script")[Symbol.iterator](); !(t = (o = i.next())
                        .done); t = !0) {
                        var a = o.value,
                        //    s = a.innerText.match(/"itmVarModel":(\{.*}),"(?:isSellerView)"/);
                            s = a.innerText.match(/"itmVarModel":(\{.*}),"(?:totalValidVariationsExt)"/);
                        if (null !== s) return JSON.parse(s[1])
                    }
                } catch (e) {
                    r = !0, n = e
                } finally {
                    try {
                        !t && i.return && i.return()
                    } finally {
                        if (r) throw n
                    }
                }
                return null
            }

            function getShips(doc, cp, def_ship) {
                let ss = doc.querySelector('#shippingSection');
                if (ss) {
                    let serviceName = cp.shipping ? cp.shipping : def_ship;
                    let tr_list = ss.querySelectorAll('tbody tr');
                    if (tr_list.length) {
                        for (let i = 0, arr_cnt = tr_list.lenght; i < arr_cnt; i++) {
                            if (tr_list[i].querySelectorAll('td').length) {
                                if (tr_list[i].querySelectorAll('td')[3].textContent.trim() === serviceName) {
                                    return serviceName;
                                }
                            }
                        }
                        return tr_list[0].querySelectorAll('td')[3].textContent.trim();
                    }
                }
                return null;
            }

            function equalsIgnoreCase(srt1, str2) {
                return srt1.toLowerCase().replaceAll(' ', '-').replaceAll('/', '-') === str2.toLowerCase().replaceAll(' ', '-').replaceAll('/', '-');
            }

            function getVariant(doc, attr) {
                var mod = models(doc);

                if (mod) {
                    let attr_comp = [];

                    for (let i = 0; i < attr.length; i++) {

                        for (let k in mod.menuModels) {

                            if (equalsIgnoreCase(attr[i].key, mod.menuModels[k].name)) { // name or displayName
                                attr_comp.push({
                                    name: mod.menuModels[i].name,
                                    value: attr[i].value,
                                    menuItemValueIds: mod.menuModels[k].menuItemValueIds
                                });
                                break;
                            }
                        }
                    }

                    let attr_comp_length = attr_comp.length;

                    for (let i = 0; i < attr_comp_length; i++) {

                        for (let k in mod.menuItemMap) {

                            if (equalsIgnoreCase(attr_comp[i].value, mod.menuItemMap[k].valueName)) { // valueName or displayName

                                if (attr_comp[i].menuItemValueIds.indexOf(mod.menuItemMap[k].valueId) >= 0) {
                                    attr_comp[i].valueId = mod.menuItemMap[k].valueId;
                                    attr_comp[i].matchingVariationIds = mod.menuItemMap[k].matchingVariationIds;
                                    break;
                                }
                            }
                        }
                    }

                    if (attr_comp_length > 0 && attr_comp[0].matchingVariationIds !== undefined) {

                        let first_variations = attr_comp[0].matchingVariationIds.slice();

                        if (attr_comp_length === 1 && first_variations.length === 1) {
                            return mod.itemVariationsMap[first_variations[0]];
                        }

                        let duplicated_values = first_variations;
                        for (let i = 1; i < attr_comp_length; i++) {

                            if (attr_comp[i].matchingVariationIds !== undefined) {
                                duplicated_values = [...new Set(duplicated_values)].filter(item => attr_comp[i].matchingVariationIds.includes(item));
                            }
                        }

                        if (duplicated_values.length === 1) {
                            return mod.itemVariationsMap[duplicated_values[0]];
                        }
                    }

                }
                return false;
            }

            function getCartUrl(doc) {
                let t = !0,
                    r = !1,
                    n = void 0;
                try {
                    for (var o, i = doc.querySelectorAll("script")[Symbol.iterator](); !(t = (o = i.next())
                        .done); t = !0) {
                        var a = o.value,
                            s = a.innerText.match(/"cartUrl":\s?"([^,]+)",/);

                        if (null !== s) {
                            return JSON.parse(`["${s[1]}"]`)[0];
                        }
                    }
                } catch (e) {
                    r = !0,
                    n = e
                } finally {

                    try {
                        !t && i.return && i.return()
                    } finally {
                        if (r) throw n
                    }
                }
                return null
            }

            var o_data = JSON.parse(e1.orderData);
            var curr_prod = o_data.products[e1.currentProduct];
            var orig_id = curr_prod.originalId;
            var prod_id = curr_prod.productId;

            if (document.querySelector('#bidBtn_btn')) {
                MAStatusBar.add("This is auction and it can'be added to the cart");

                MAOrder.sendStatus({'stage':511}, function(){
                    MAFunc.goToPluginTab();
                }, orig_id);
                chrome.storage.sync.remove('orderData');
                return void console.log("This is auction product");
            }

            MAStatusBar.add("Adding product to cart...");

            var cart_url = cart_url = getCartUrl(document);

            if (!cart_url) {
                var buy_it_now = document.getElementById('binBtn_btn');
                if (buy_it_now !== null && buy_it_now.getAttribute('href') !== null) {
                    cart_url = buy_it_now.getAttribute('href');
                    //    https://pay.ebay.co.uk/rxo?action=create&rypsvc=true&pagename=ryp&TransactionId=-1&item=123456789123&quantity=1
                }
            }

            if (cart_url) {

                if (curr_prod.attributes.length > 0) {
                    var variant = getVariant(document, curr_prod.attributes);

                    if (variant === false) {
                        // TODO: 3 type without variant
                        MAStatusBar.remove();
                        MAStatusBar.add("Can't add this product to the cart");

                        MAOrder.sendStatus({'stage': 21},function(){
                            MAFunc.goToPluginTab();
                        });
                        console.log(curr_prod);
                    //    chrome.storage.sync.remove('orderData');
                        return void console.log("SKU not found.");
                    }

                    o_data.products[e1.currentProduct]['_ebay_variation_id'] = variant.variationId;

                    if (variant.inStock !== true) {
                        MAStatusBar.remove();
                        MAStatusBar.add("Product is out of stock");

                        MAOrder.sendStatus({'stage': 58},function(){
                            MAFunc.goToPluginTab();
                        });
                    }

                    if (variant.quantityAvailable < curr_prod.qty) {
                        MAStatusBar.remove();
                        MAStatusBar.add("Quantity is not available");

                        MAOrder.sendStatus({'stage': 59},function(){
                            MAFunc.goToPluginTab();
                        });
                    }

                    // https://cart.payments.ebay.com/sc/add?srt=01000500000050f6e41946d0cf21e6e73ca5f1bfdb176f02a66977e6e960d8dc4e52fa51d9b542faa5f216614266f881564552fe8a37470c8755027767e31ef7fedab9f2800f55ccb72ddff9f8545489dd474a622226dc&ssPageName=CART:ATC&item=iid:124072739257,qty:2,vid:424903163839
                    // &item=iid:124072739257,qty:2,vid:424903163839
                    cart_url += "&item=iid:"+ prod_id +",qty:"+ curr_prod.qty +",vid:"+ variant.variationId;
                } else {

                    if (typeof buy_it_now !== 'undefined') {
                        cart_url += "&quantity="+ curr_prod.qty;
                    } else if (cart_url.indexOf('item=iid:') > 0) {
                        cart_url = cart_url.replace('qty:1', ('qty:'+curr_prod.qty));
                    } else {
                        cart_url += "&item=iid:"+ prod_id +",qty:"+ curr_prod.qty;
                    }

                }

            //    var ships = getShips(document, curr_prod, o_data.defaultShipping); // update
                chrome.runtime.sendMessage({
                    action: config.actions.E_CONTENT_ADD_PRODUCT_TO_CART,
                    refererUrl: curr_prod.url,
                    addCartUrl: cart_url
                }, function (e) {

                    if (e.status == 'OK') {
                        MAStatusBar.remove();
                        MAStatusBar.add("Product is added.");

                        MAOrder.sendStatus({'stage':53}, function(){
                            MAFunc.goToPluginTab();
                        }, orig_id);

                        chrome.storage.sync.set({
                            orderData: JSON.stringify(o_data)
                        }, function () {

                            var act;

                            if ( (e1.currentProduct + 1) < o_data.products.length )
                                act = config.actions.E_CONTENT_ORDER_FULFILLMENT_QUEUE
                            else
                                act = config.actions.E_CONTENT_ORDER_FULFILLMENT_TO_CART;

                            main.markItemAsAdded(o_data, e1.currentProduct, function(){
                                chrome.extension.sendMessage({
                                    action: act
                                })
                            });
                        });

                    } else {
                        MAStatusBar.remove();
                        MAStatusBar.add("Failed to add product to cart.");

                        MAOrder.sendStatus({'stage': 21},function(){
                            MAFunc.goToPluginTab();
                        });

                        MAOrder.clear();
                    }
                });

            } else {
                MAStatusBar.remove();
                MAStatusBar.add("Failed to add product to cart. Cart url not found.");

                MAOrder.sendStatus({'stage': 21},function(){
                    MAFunc.goToPluginTab();
                });

                MAOrder.clear();
            }

        },//+
        initSync : function(t) {
            function r() {
                return new Promise(function(n, t) {
                    var i = setInterval(function() {
                        ($("#j-add-cart-btn")
                            .length || $(".addcart").length) && (clearInterval(i), setTimeout(function() {
                                return n(!0)
                            }, 300))
                    }, 300)
                })
            }

            t.cartEmpty !== !0 && t.orderData !== !1 ? chrome.extension.sendMessage({ action: config.actions.E_CONTENT_ORDER_FULFILLMENT_TO_CART}) :
            t.orderData !== !1 && r().then(function(){
                main.addItem(JSON.parse(t.orderData), t.currentProduct);
            });
        },
        markItemAsAdded : function(t,e,f){
            t.products[e].inCart = !0;
            chrome.storage.sync.set({
                currentProduct: e+1,
                orderData: JSON.stringify(t)
            }, function () {
                f();
            });
        }, //+
        allowManualMode : function(t, e){
            main.markItemAsAdded(t, e, function(){
                MAOrder.sendStatus({'stage': 21});
    //            MAFunc.goToPluginTab();
            })
        }, //+
        addItem : function(t, e) {
            var n = t.products[e],
                r = $(location).attr("href");

            if (r.indexOf(n.productId) > -1 && ("undefined" == typeof n.inCart || n.inCart === !1)) {

                MAStatusBar.add("Adding product to cart...");

                if ("" != n.sku) {
                    if ($(".addcart").length) {
                        var m = document.documentElement.innerHTML;
                        var d = MAProduct.getAttrValueIndexes(m, n.sku);

                        if (n.sku && d.length == 0) {
                                MAStatusBar.remove();
                                MAStatusBar.add("The given variant doesn't exist. Try to choose another one or add a similar product from another supplier manually.");
                                main.allowManualMode(t,e);

                        } else {

                            function lf(n, f) {
                                for (key in n) {
                                    main.clickSkuButton1(n[key].attrIndex, n[key].valIndex).catch(function () {

                                        MAStatusBar.remove();
                                        MAStatusBar.add("The given variant doesn't exist. Try to choose another one or add a similar product from another supplier manually.");
                                        main.allowManualMode(t,e);
                                        f();
                                    }).then(function () {
                                        delete n[key];
                                        if (Object.keys(n).length > 0) {
                                            lf(n, f);
                                        } else {
                                            f();
                                        }
                                    });

                                    break;

                                }
                            }

                            lf(d, function () {
                                ff();
                            });
                        }

                    } else {
                        MAStatusBar.remove();
                        MAStatusBar.add("We can't find the add-to-cart button. Please contact support.");
                    }
                }
                else {
                    ff();
                }

                function bf(){
                    return new Promise(function (j, f) {
                        setTimeout(function(){
                            if ($('#batman-dialog-wrap').length) {

                                MAOrder.sendStatus({ 'stage':0},function(){
    //                                MAFunc.goToPluginTab();
                                });
                                MAStatusBar.remove();
                                MAStatusBar.add("Please login into your AlIExpress account...");

                                var i = setInterval(function () {
                                    return !$('#batman-dialog-wrap').length ? (clearInterval(i), j(!0)) : void 0
                                }, 1000)
                            } else {
                                j(!0)
                            }
                        },1000);
                    })
                }

                function cf(t,e){
                    return new Promise(function (j, f) {
                        setTimeout(function(){
                            if ($('.addcart-balloon').length) {

                                MAStatusBar.remove();
                                MAStatusBar.add("Can't add this product to the cart. Try to choose another one or add a similar product from another supplier manually...");

                                main.allowManualMode(t,e);

                                var i = setInterval(function () {
                                    return !$('.addcart-balloon').length ? (clearInterval(i), f(!0)) : void 0
                                }, 1000)
                            } else {
                                j(!0)
                            }
                        },1000);
                    })
                }

                function ff(){
                    setTimeout(function () {

                        if (main.setQuantity(n.qty) === !1) {
                            MAStatusBar.remove();
                            MAStatusBar.add("Can't add this product to the cart. Try to choose another one or add a similar product from another supplier manually...");
                            main.allowManualMode(t,e);
                            return;
                        }
                        setTimeout(function () {
                            main.clickAddToCart(), t.products[e].inCart = !0;

                            bf()
                                .then(function(){
                                    return cf(t,e);
                                })
                                .catch(function(){
                                    ff();
                                })
                                .then(function(){
                                    MAOrder.sendStatus({'stage':53}, function(){
    //                                    MAFunc.goToPluginTab();
                                    });


                                    chrome.storage.sync.set({
                                        orderData: JSON.stringify(t)
                                    }, function () {

                                        main.cartPopupPromise().then(function(){
                                           if ( e + 1 < t.products.length )
                                               var act = config.actions.E_CONTENT_ORDER_FULFILLMENT_QUEUE
                                            else
                                                var act = config.actions.E_CONTENT_ORDER_FULFILLMENT_TO_CART;

                                            main.markItemAsAdded(t, e, function(){
                                                chrome.extension.sendMessage({
                                                    action: act
                                                })
                                            });
                                        }).catch(function(){
                                            MAStatusBar.remove();
                                            MAStatusBar.add("Can't add this product to the cart. Try to choose another one or add a similar product from another supplier manually.");
                                            main.allowManualMode(t,e);
                                        })

                                    })
                                });


                        }, 1000);

                    }, 1000);

                }

            }
        },
        setQuantity : function(t) {

            var q = 'input[name="quantity"]';
            if ($(q).length){
                $(q).val(t)
            } else if ($('.product-quantity input').length){
                main.setInput($('.product-quantity input'),t);
            }
            else{
                return !1;
            }

            return !0;
        },
        setInput: function(n, t) {
            var i = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : 0;

            if (!$(n).length){
                console.log(n + " field not found");
                return;
            }

            var r = $(n)[i];

            r.value = t, r.defaultValue = t;
            var o = r.value;
            r.value = t, event = new Event("input", {
                bubbles: !0
            }), event.simulated = !0;
            var c = r._valueTracker;
            c && c.setValue(o), r.dispatchEvent(event)
        },
        clickAddToCart : function() {

            if ($(".addcart").length){

                document.querySelector(".addcart").click();
            }
            else if ($.contains(document.documentElement, $("#add-to-cart")[0])){
                setTimeout(
                    function(){
                        document.getElementById("add-to-cart").click();
                    }, 1000);
            } else {
                if (!$.contains(document.documentElement, $("#j-add-cart-btn")[0]))
                    return console.log('"Add to cart button not found'), null;

                setTimeout(function(){
                    document.getElementById("j-add-cart-btn").click();
                }, 1000);

            }

        },
        clickSkuButton1 : function(i,v){
            var e = $('.sku-property ').eq(i).find('.sku-property-item').eq(v);

            return new Promise(function(n, t) {

                if (!e.length) {
                    return t();
                }

                if (e.hasClass('disabled')){
                    return t();
                }

                if (!e.hasClass("selected")) {
                    oo.clickBtn(e).then(function(e){
                        if (!e.hasClass("selected")) {
                            oo.clickBtn(e).then(function(){
                                return n();
                            });

                        } else {
                            return n();
                        }
                    });
                } else {
                    return n();
                }

            });

        },
        clickSkuButton : function(t, e) {
            var c = '*[data-sku-id="' + t + '"]', o = $(c);

            return new Promise(function(n, v) {

                if (!o.length) {
                    return v();
                }

                if (!c.length) {
                    return v();
                }

                if (!o.parent().hasClass("active")) {
                    oo.clickBtn(c).then(function(e){
                        if (!o.parent().hasClass("active")) {
                            oo.clickBtn(c).then(function(){
                                return n();
                            });

                        } else {
                            return n();
                        }
                    });

                } else {
                    return n();
                }

            });

        },
        cartPopupPromise : function(){
            return new Promise(function (j, f) {
                var attempts = 0, i = setInterval(function () {
                    if ($(".ui-add-shopcart-dialog").is(":visible") || $(".addcart-result-inner").is(":visible") ){
                        clearInterval(i);
                        return j();
                    } else {

                        if ( attempts < 15) {
                            attempts++;
                        }

                        if (attempts >= 15){
                            return f();
                        }

                    }

                }, 1000)
            })
        },
        cartPopup : {
            action: !1,
            action_login_failed: !1,
            attempts: 0,
            interval: 1500,
            init: function(t,f) {
                this.action = t, this.action_login_failed = f, setTimeout($.proxy(this.checkPopup, this), this.interval)
            },
            checkPopup: function() {

                 if ( $(".ui-add-shopcart-dialog").is(":visible") || $(".addcart-result-inner").is(":visible") ) {

                     this.action !== !1 && chrome.extension.sendMessage({
                             action: this.action
                         })
                 } else {

                    if ( this.attempts < 15) {
                        this.attempts++;
                        this.init(this.action);
                    }

                    if (this.attempts >= 15){
                        MAStatusBar.remove();
                        MAStatusBar.add("Can't add this product to the cart. Try to choose another one or add a similar product from another supplier manually.");
                      //  MAOrder.clear();
                    }

                }

            }
        }
    };

    main.preInit();
});
